> ## Documentation Index
> Fetch the complete documentation index at: https://docs.standardmetrics.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Get securities

> 
        Retrieve securities for a firm or a specific company. If no filters are provided, the endpoint returns all securities across the firm. If company IDs or holding IDs are provided, it returns securities specific to those companies or holdings.

        **Permissions:**
        - User must be authenticated via OAuth.
        - User must have access to the companies.
    



## OpenAPI

````yaml post /beta/investment/securities/get/
openapi: 3.1.0
info:
  title: Standard Metrics Investment Data API
  version: beta
  description: Standard Metrics' investment data API.
servers:
  - url: https://app.standardmetrics.io
security: []
paths:
  /beta/investment/securities/get/:
    post:
      tags:
        - cap_table
      summary: Get securities
      description: |2-

                Retrieve securities for a firm or a specific company. If no filters are provided, the endpoint returns all securities across the firm. If company IDs or holding IDs are provided, it returns securities specific to those companies or holdings.

                **Permissions:**
                - User must be authenticated via OAuth.
                - User must have access to the companies.
            
      operationId: get_securities
      parameters: []
      requestBody:
        content:
          application/json:
            schema:
              anyOf:
                - $ref: '#/components/schemas/SecuritiesFilters'
                - type: 'null'
        required: false
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                items:
                  discriminator:
                    mapping:
                      certificate:
                        $ref: '#/components/schemas/CertificateOut'
                      convertible:
                        $ref: '#/components/schemas/ConvertibleOut'
                      public_equity:
                        $ref: '#/components/schemas/PublicEquityOut'
                      token_convertible:
                        $ref: '#/components/schemas/TokenConvertibleOut'
                      token_investment:
                        $ref: '#/components/schemas/TokenInvestmentOut'
                      token_warrant:
                        $ref: '#/components/schemas/TokenWarrantOut'
                      warrant:
                        $ref: '#/components/schemas/WarrantOut'
                    propertyName: type
                  oneOf:
                    - $ref: '#/components/schemas/CertificateOut'
                    - $ref: '#/components/schemas/WarrantOut'
                    - $ref: '#/components/schemas/PublicEquityOut'
                    - $ref: '#/components/schemas/TokenInvestmentOut'
                    - $ref: '#/components/schemas/TokenWarrantOut'
                    - $ref: '#/components/schemas/TokenConvertibleOut'
                    - $ref: '#/components/schemas/ConvertibleOut'
                title: Response
                type: array
      security:
        - BearerAuth: []
components:
  schemas:
    SecuritiesFilters:
      additionalProperties: false
      description: Options for fetching securities.
      properties:
        company_ids:
          anyOf:
            - items:
                type: string
              type: array
            - type: 'null'
          description: Filter by company IDs.
          examples:
            - - pvYe
              - a2Ne
          title: Company Ids
        security_ids:
          anyOf:
            - items:
                type: string
              type: array
            - type: 'null'
          description: Filter by security IDs.
          examples:
            - - pvYe
              - a2Ne
          title: Security Ids
        fund_id:
          anyOf:
            - type: string
            - type: 'null'
          description: Filter by fund ID.
          examples:
            - pvYe
          title: Fund Id
      title: SecuritiesFilters
      type: object
    CertificateOut:
      description: A certificate being returned from our API.
      properties:
        id:
          anyOf:
            - type: string
            - type: 'null'
          description: The ID of the security.
          examples:
            - a2Ne
          readOnly: true
          title: Id
        issue_date:
          description: The date the security was issued.
          examples:
            - '2020-01-01'
          format: date
          title: Issue Date
          type: string
        fund_id:
          description: The ID of the fund that holds this security.
          examples:
            - a2Ne
          title: Fund Id
          type: string
        company_id:
          description: The ID of the company this security belongs to.
          examples:
            - pvYe
          title: Company Id
          type: string
        type:
          const: certificate
          default: certificate
          title: Type
          type: string
        fund_name:
          description: The name of the fund that holds this security.
          examples:
            - Fund I
          title: Fund Name
          type: string
        company_name:
          description: The name of the company this security belongs to.
          examples:
            - Acme Corp
          title: Company Name
          type: string
        investment_amount:
          $ref: '#/components/schemas/MoneyAmount'
          description: The total investment amount for this certificate.
          examples:
            - currency: USD
              value: '1000000'
        shares:
          anyOf:
            - type: number
            - type: string
          description: The number of shares held.
          examples:
            - '50000'
          title: Shares
        share_class_id:
          description: The ID of the share class for this certificate.
          examples:
            - a2Ne
          title: Share Class Id
          type: string
        financing_id:
          anyOf:
            - type: string
            - type: 'null'
          description: The ID of the financing round this certificate belongs to.
          examples:
            - a2Ne
          title: Financing Id
        share_class_name:
          description: The name of the share class for this certificate.
          examples:
            - Series A
          title: Share Class Name
          type: string
      required:
        - issue_date
        - fund_id
        - company_id
        - fund_name
        - company_name
        - investment_amount
        - shares
        - share_class_id
        - financing_id
        - share_class_name
      title: CertificateOut
      type: object
    ConvertibleOut:
      description: A convertible note being returned from our API.
      properties:
        id:
          anyOf:
            - type: string
            - type: 'null'
          description: The ID of the security.
          examples:
            - a2Ne
          readOnly: true
          title: Id
        issue_date:
          description: The date the security was issued.
          examples:
            - '2020-01-01'
          format: date
          title: Issue Date
          type: string
        fund_id:
          description: The ID of the fund that holds this security.
          examples:
            - a2Ne
          title: Fund Id
          type: string
        company_id:
          description: The ID of the company this security belongs to.
          examples:
            - pvYe
          title: Company Id
          type: string
        type:
          const: convertible
          default: convertible
          title: Type
          type: string
        fund_name:
          description: The name of the fund that holds this security.
          examples:
            - Fund I
          title: Fund Name
          type: string
        company_name:
          description: The name of the company this security belongs to.
          examples:
            - Acme Corp
          title: Company Name
          type: string
        convertible_type:
          $ref: '#/components/schemas/ConvertibleType'
          description: The type of convertible instrument.
          examples:
            - safe
        discount:
          anyOf:
            - type: number
            - type: string
            - type: 'null'
          description: The discount rate applied upon conversion.
          examples:
            - '0.20'
          title: Discount
        valuation_cap:
          anyOf:
            - $ref: '#/components/schemas/MoneyAmount'
            - type: 'null'
          description: The valuation cap for the convertible instrument.
          examples:
            - currency: USD
              value: '10000000'
        maturity_date:
          anyOf:
            - format: date
              type: string
            - type: 'null'
          description: The maturity date of the convertible instrument.
          examples:
            - '2025-01-01'
          title: Maturity Date
        interest_rate:
          anyOf:
            - type: number
            - type: string
            - type: 'null'
          description: The annual interest rate of the convertible instrument.
          examples:
            - '0.05'
          title: Interest Rate
        days_convention:
          anyOf:
            - enum:
                - 360
                - 365
              type: integer
            - type: 'null'
          description: The day-count convention used for interest calculation.
          examples:
            - 365
          title: Days Convention
        investment_amount:
          $ref: '#/components/schemas/MoneyAmount'
          description: The principal investment amount.
          examples:
            - currency: USD
              value: '500000'
        financing_id:
          anyOf:
            - type: string
            - type: 'null'
          description: The ID of the financing round this convertible belongs to.
          examples:
            - a2Ne
          title: Financing Id
        accrued_interest:
          anyOf:
            - type: number
            - type: string
            - type: 'null'
          description: The accrued interest on the convertible instrument.
          examples:
            - '5000'
          title: Accrued Interest
      required:
        - issue_date
        - fund_id
        - company_id
        - fund_name
        - company_name
        - convertible_type
        - investment_amount
        - financing_id
      title: ConvertibleOut
      type: object
    PublicEquityOut:
      description: A public equity holding being returned from our API.
      properties:
        id:
          anyOf:
            - type: string
            - type: 'null'
          description: The ID of the security.
          examples:
            - a2Ne
          readOnly: true
          title: Id
        issue_date:
          description: The date the security was issued.
          examples:
            - '2020-01-01'
          format: date
          title: Issue Date
          type: string
        fund_id:
          description: The ID of the fund that holds this security.
          examples:
            - a2Ne
          title: Fund Id
          type: string
        company_id:
          description: The ID of the company this security belongs to.
          examples:
            - pvYe
          title: Company Id
          type: string
        type:
          const: public_equity
          default: public_equity
          title: Type
          type: string
        fund_name:
          description: The name of the fund that holds this security.
          examples:
            - Fund I
          title: Fund Name
          type: string
        company_name:
          description: The name of the company this security belongs to.
          examples:
            - Acme Corp
          title: Company Name
          type: string
        price_per_share:
          $ref: '#/components/schemas/MoneyAmount'
          description: The price per share at purchase.
          examples:
            - currency: USD
              value: '25.00'
        shares:
          anyOf:
            - type: number
            - type: string
          description: The number of shares held.
          examples:
            - '50000'
          title: Shares
        investment_amount:
          $ref: '#/components/schemas/MoneyAmount'
          description: The total investment amount.
          examples:
            - currency: USD
              value: '1250000'
      required:
        - issue_date
        - fund_id
        - company_id
        - fund_name
        - company_name
        - price_per_share
        - shares
        - investment_amount
      title: PublicEquityOut
      type: object
    TokenConvertibleOut:
      description: A token convertible being returned from our API.
      properties:
        id:
          anyOf:
            - type: string
            - type: 'null'
          description: The ID of the security.
          examples:
            - a2Ne
          readOnly: true
          title: Id
        issue_date:
          description: The date the security was issued.
          examples:
            - '2020-01-01'
          format: date
          title: Issue Date
          type: string
        fund_id:
          description: The ID of the fund that holds this security.
          examples:
            - a2Ne
          title: Fund Id
          type: string
        company_id:
          description: The ID of the company this security belongs to.
          examples:
            - pvYe
          title: Company Id
          type: string
        type:
          const: token_convertible
          default: token_convertible
          title: Type
          type: string
        fund_name:
          description: The name of the fund that holds this security.
          examples:
            - Fund I
          title: Fund Name
          type: string
        company_name:
          description: The name of the company this security belongs to.
          examples:
            - Acme Corp
          title: Company Name
          type: string
        token:
          anyOf:
            - type: string
            - type: 'null'
          description: The token symbol or name.
          examples:
            - SMX
          title: Token
        purchase_amount:
          $ref: '#/components/schemas/MoneyAmount'
          description: The purchase amount of the token convertible.
          examples:
            - currency: USD
              value: '250000'
        financing_id:
          description: The ID of the financing round this token convertible belongs to.
          examples:
            - a2Ne
          title: Financing Id
          type: string
      required:
        - issue_date
        - fund_id
        - company_id
        - fund_name
        - company_name
        - token
        - purchase_amount
        - financing_id
      title: TokenConvertibleOut
      type: object
    TokenInvestmentOut:
      description: A token investment being returned from our API.
      properties:
        id:
          anyOf:
            - type: string
            - type: 'null'
          description: The ID of the security.
          examples:
            - a2Ne
          readOnly: true
          title: Id
        issue_date:
          description: The date the security was issued.
          examples:
            - '2020-01-01'
          format: date
          title: Issue Date
          type: string
        fund_id:
          description: The ID of the fund that holds this security.
          examples:
            - a2Ne
          title: Fund Id
          type: string
        company_id:
          description: The ID of the company this security belongs to.
          examples:
            - pvYe
          title: Company Id
          type: string
        type:
          const: token_investment
          default: token_investment
          title: Type
          type: string
        fund_name:
          description: The name of the fund that holds this security.
          examples:
            - Fund I
          title: Fund Name
          type: string
        company_name:
          description: The name of the company this security belongs to.
          examples:
            - Acme Corp
          title: Company Name
          type: string
        token:
          anyOf:
            - type: string
            - type: 'null'
          description: The token symbol or name.
          examples:
            - SMX
          title: Token
        investment_amount:
          $ref: '#/components/schemas/MoneyAmount'
          description: The total investment amount.
          examples:
            - currency: USD
              value: '500000'
        quantity:
          anyOf:
            - type: number
            - type: string
          description: The number of tokens held.
          examples:
            - '1000'
          title: Quantity
        price_per_token:
          $ref: '#/components/schemas/MoneyAmount'
          description: The price per token at purchase.
          examples:
            - currency: USD
              value: '500'
        financing_id:
          description: The ID of the financing round this token investment belongs to.
          examples:
            - a2Ne
          title: Financing Id
          type: string
      required:
        - issue_date
        - fund_id
        - company_id
        - fund_name
        - company_name
        - token
        - investment_amount
        - quantity
        - price_per_token
        - financing_id
      title: TokenInvestmentOut
      type: object
    TokenWarrantOut:
      description: A token warrant being returned from our API.
      properties:
        id:
          anyOf:
            - type: string
            - type: 'null'
          description: The ID of the security.
          examples:
            - a2Ne
          readOnly: true
          title: Id
        issue_date:
          description: The date the security was issued.
          examples:
            - '2020-01-01'
          format: date
          title: Issue Date
          type: string
        fund_id:
          description: The ID of the fund that holds this security.
          examples:
            - a2Ne
          title: Fund Id
          type: string
        company_id:
          description: The ID of the company this security belongs to.
          examples:
            - pvYe
          title: Company Id
          type: string
        type:
          const: token_warrant
          default: token_warrant
          title: Type
          type: string
        fund_name:
          description: The name of the fund that holds this security.
          examples:
            - Fund I
          title: Fund Name
          type: string
        company_name:
          description: The name of the company this security belongs to.
          examples:
            - Acme Corp
          title: Company Name
          type: string
        token:
          anyOf:
            - type: string
            - type: 'null'
          description: The token symbol or name.
          examples:
            - SMX
          title: Token
        due_date:
          description: The expiration date of the token warrant.
          examples:
            - '2030-01-01'
          format: date
          title: Due Date
          type: string
        total_cost:
          $ref: '#/components/schemas/MoneyAmount'
          description: The total cost of the token warrant.
          examples:
            - currency: USD
              value: '100000'
        exercise_price:
          $ref: '#/components/schemas/MoneyAmount'
          description: The exercise price per token.
          examples:
            - currency: USD
              value: '100'
        quantity:
          anyOf:
            - type: number
            - type: string
          description: The number of tokens the warrant can be exercised for.
          examples:
            - '1000'
          title: Quantity
        financing_id:
          description: The ID of the financing round this token warrant belongs to.
          examples:
            - a2Ne
          title: Financing Id
          type: string
      required:
        - issue_date
        - fund_id
        - company_id
        - fund_name
        - company_name
        - token
        - due_date
        - total_cost
        - exercise_price
        - quantity
        - financing_id
      title: TokenWarrantOut
      type: object
    WarrantOut:
      description: A warrant being returned from our API.
      properties:
        id:
          anyOf:
            - type: string
            - type: 'null'
          description: The ID of the security.
          examples:
            - a2Ne
          readOnly: true
          title: Id
        issue_date:
          description: The date the security was issued.
          examples:
            - '2020-01-01'
          format: date
          title: Issue Date
          type: string
        fund_id:
          description: The ID of the fund that holds this security.
          examples:
            - a2Ne
          title: Fund Id
          type: string
        company_id:
          description: The ID of the company this security belongs to.
          examples:
            - pvYe
          title: Company Id
          type: string
        type:
          const: warrant
          default: warrant
          title: Type
          type: string
        fund_name:
          description: The name of the fund that holds this security.
          examples:
            - Fund I
          title: Fund Name
          type: string
        company_name:
          description: The name of the company this security belongs to.
          examples:
            - Acme Corp
          title: Company Name
          type: string
        due_date:
          description: The expiration date of the warrant.
          examples:
            - '2030-01-01'
          format: date
          title: Due Date
          type: string
        exercise_price:
          $ref: '#/components/schemas/MoneyAmount'
          description: The exercise price per share of the warrant.
          examples:
            - currency: USD
              value: '10.50'
        shares:
          anyOf:
            - type: number
            - type: string
          description: The number of shares the warrant can be exercised for.
          examples:
            - '10000'
          title: Shares
        financing_id:
          description: The ID of the financing round this warrant belongs to.
          examples:
            - a2Ne
          title: Financing Id
          type: string
        total_cost:
          description: The total cost of the warrant.
          format: decimal
          readOnly: true
          title: Total Cost
          type: string
      required:
        - issue_date
        - fund_id
        - company_id
        - fund_name
        - company_name
        - due_date
        - exercise_price
        - shares
        - financing_id
      title: WarrantOut
      type: object
    MoneyAmount:
      description: A monetary amount.
      properties:
        value:
          anyOf:
            - type: number
            - type: string
            - type: 'null'
          description: The value of the amount for the source currency.
          examples:
            - '1000000'
          title: Value
        converted_value:
          anyOf:
            - type: number
            - type: string
            - type: 'null'
          description: The value of the amount converted to your firm's preferred currency.
          examples:
            - '1000000'
          readOnly: true
          title: Converted Value
        currency:
          anyOf:
            - $ref: '#/components/schemas/CurrencyCode'
            - type: 'null'
          description: The currency of the amount.
          examples:
            - USD
        converted_currency:
          anyOf:
            - $ref: '#/components/schemas/CurrencyCode'
            - type: 'null'
          description: >-
            The currency of the converted amount. Your firm's preferred
            currency.
          examples:
            - USD
          readOnly: true
        fx_rate:
          anyOf:
            - type: number
            - type: string
            - type: 'null'
          description: The FX rate between the source currency and the converted currency.
          examples:
            - '1.0'
          title: Fx Rate
        is_custom_rate:
          anyOf:
            - type: boolean
            - type: 'null'
          description: Whether the FX rate is a custom rate.
          examples:
            - false
          readOnly: true
          title: Is Custom Rate
      required:
        - value
        - currency
      title: MoneyAmount
      type: object
    ConvertibleType:
      enum:
        - convertible_note
        - basic_note
        - safe
        - kiss
      type: string
    CurrencyCode:
      description: Supported currency codes.
      enum:
        - AED
        - AUD
        - BDT
        - BRL
        - CAD
        - CHF
        - CNY
        - COP
        - CZK
        - DKK
        - EUR
        - GBP
        - GHS
        - HKD
        - IDR
        - ILS
        - INR
        - JPY
        - JOD
        - KES
        - KRW
        - MXN
        - NGN
        - NOK
        - NZD
        - PEN
        - PHP
        - SAR
        - SGD
        - USD
        - PKR
        - THB
        - TRY
        - TWD
        - TZS
        - VND
        - SEK
        - ISK
        - ZAR
      title: CurrencyCode
      type: string
  securitySchemes:
    BearerAuth:
      type: http
      scheme: bearer

````